Name:			fcitx-anthy
Version:		0.1.1
Release:		1%{?dist}
Summary:		Anthy Engine for Fcitx
Group:			System Environment/Libraries
License:		GPLv2+
URL:			http://code.google.com/p/fcitx/
Source0:		http://fcitx.googlecode.com/files/%{name}-%{version}.tar.xz
Patch0:			fcitx-anthy-fix-fsf-address.patch		
BuildRequires:	cmake
BuildRequires:	fcitx-devel
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	anthy-devel
Requires:		fcitx

%description
Fcitx-anthy is a Anthy engine wrapper for Fcitx. It
Provides Japanese input method from anthy.

%prep
%setup -q 
%patch0 -p1


%build
mkdir -pv build
pushd build
%cmake ..
make %{?_smp_mflags} VERBOSE=1

%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd

%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING AUTHORS README
%{_libdir}/fcitx/%{name}.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/anthy/*.sty
%{_datadir}/fcitx/inputmethod/anthy.conf
%{_datadir}/fcitx/configdesc/%{name}.desc
%{_datadir}/fcitx/imicon/anthy.png
%{_datadir}/icons/hicolor/48x48/status/%{name}.png
%{_datadir}/icons/hicolor/22x22/status/%{name}-symbol.png
%{_datadir}/icons/hicolor/scalable/status/%{name}-*.svg

%changelog
* Wed Dec 12 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.1-1
- Initial Package
